## nota 4.0.2+p24.04+vstable+git20260105.1004

=== debian/changelog ===
nota (4.0.2+p24.04+vstable+git20260105.1004-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 10:04:18 +0000
