## nota 4.0.2+p24.04+vstable+git20260122.0654

=== debian/changelog ===
nota (4.0.2+p24.04+vstable+git20260122.0654-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 06:54:16 +0000
