## nota 4.0.2+p24.04+vstable+git20260130.1012

=== debian/changelog ===
nota (4.0.2+p24.04+vstable+git20260130.1012-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 10:12:25 +0000
