## nota 4.0.2+p24.04+vstable+git20260219.0508

=== debian/changelog ===
nota (4.0.2+p24.04+vstable+git20260219.0508-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 19 Feb 2026 05:08:06 +0000
