## nota 4.0.2+p24.04+vunstable+git20251123.2003

=== debian/changelog ===
nota (4.0.2+p24.04+vunstable+git20251123.2003-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 20:03:42 +0000
