## nota 4.0.2+p24.04+vunstable+git20260130.1355

=== debian/changelog ===
nota (4.0.2+p24.04+vunstable+git20260130.1355-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 13:55:24 +0000
